Bug 30768 - Typo: pin should be PIN
Summary: Typo: pin should be PIN
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Michal Urban
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2022-05-15 12:58 UTC by Katrin Fischer
Modified: 2022-07-12 19:34 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 30768: Capitalizing "pin" in 2FA setup (72.66 KB, patch)
2022-06-08 04:53 UTC, Michal Urban
Details | Diff | Splinter Review
Bug 30768: Capitalizing "pin" in 2FA setup (2.98 KB, patch)
2022-06-08 15:42 UTC, Michal Urban
Details | Diff | Splinter Review
Bug 30768: Capitalizing "pin" in 2FA setup (3.02 KB, patch)
2022-06-08 20:22 UTC, David Nind
Details | Diff | Splinter Review
Bug 30768: Capitalizing "pin" in 2FA setup (3.08 KB, patch)
2022-06-08 22:47 UTC, Lucas Gass
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-05-15 12:58:15 UTC
pin should be PIN, because it's an abbreviation for Personal identification number.

koha-tmpl/intranet-tmpl/prog/en/modules/members/two_factor_auth.tt:48

Invalid pin code

There are possibly other occurences in other files.
Comment 1 Katrin Fischer 2022-05-16 09:10:48 UTC
koha-tmpl/intranet-tmpl/prog/en/modules/members/two_factor_auth.tt:61
Pin code:
Comment 2 Michal Urban 2022-06-08 04:53:23 UTC
Created attachment 135788 [details] [review]
Bug 30768: Capitalizing "pin" in 2FA setup

Change of text from "pin" to "PIN" in the 2FA setup interface.
This slight changes clarifies that "PIN" is an acronym, and increases user comp>

To test:
1) Log in as an Administrator
2) Enable TwoFactorAuthentication
3) Log in to a user with superlibrarian permissions.
4) On the user profile page, click the "More" dropdown button, click "Manage Tw>
5) Check that "pin" is displayed in lowercase, in both instances.
6) Apply patch.
7) Refresh the page and observe that "pin" has changed to "PIN"
8) Sign off.
Comment 3 Owen Leonard 2022-06-08 11:36:09 UTC
IF this is ready for signoff (the bug doesn't say so): The changes to the template and test look great, but the .po files shouldn't be changed in the patch. They will get updated when translations are updated.
Comment 4 Michal Urban 2022-06-08 15:42:39 UTC
Created attachment 135822 [details] [review]
Bug 30768: Capitalizing "pin" in 2FA setup

Change of text from "pin" to "PIN" in the 2FA setup interface.
This slight changes clarifies that "PIN" is an acronym,
 and increases user comprehension

To test:
1) Log in as an Administrator
2) Enable TwoFactorAuthentication
3) Log in to a user with superlibrarian permissions.
4) On the user profile page, click the "More" dropdown button,
click "Manage Two-Factor
5) Check that "pin" is displayed in lowercase, in both instances.
6) Apply patch.
7) Refresh the page and observe that "pin" has changed to "PIN"
8) Sign off.
Comment 5 Michal Urban 2022-06-08 15:46:45 UTC
(In reply to Owen Leonard from comment #3)
> IF this is ready for signoff (the bug doesn't say so): The changes to the
> template and test look great, but the .po files shouldn't be changed in the
> patch. They will get updated when translations are updated.

I wasn't sure if there needed to be changes in the .po files, but thanks for clarification. The new patch reverts the changes, and only keeps the template/test changes.
Comment 6 David Nind 2022-06-08 20:22:45 UTC
Created attachment 135833 [details] [review]
Bug 30768: Capitalizing "pin" in 2FA setup

Change of text from "pin" to "PIN" in the 2FA setup interface.
This slight changes clarifies that "PIN" is an acronym,
 and increases user comprehension

To test:
1) Log in as an Administrator
2) Enable TwoFactorAuthentication
3) Log in to a user with superlibrarian permissions.
4) On the user profile page, click the "More" dropdown button,
click "Manage Two-Factor
5) Check that "pin" is displayed in lowercase, in both instances.
6) Apply patch.
7) Refresh the page and observe that "pin" has changed to "PIN"
8) Sign off.

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Lucas Gass 2022-06-08 22:47:00 UTC
Created attachment 135850 [details] [review]
Bug 30768: Capitalizing "pin" in 2FA setup

Change of text from "pin" to "PIN" in the 2FA setup interface.
This slight changes clarifies that "PIN" is an acronym,
 and increases user comprehension

To test:
1) Log in as an Administrator
2) Enable TwoFactorAuthentication
3) Log in to a user with superlibrarian permissions.
4) On the user profile page, click the "More" dropdown button,
click "Manage Two-Factor
5) Check that "pin" is displayed in lowercase, in both instances.
6) Apply patch.
7) Refresh the page and observe that "pin" has changed to "PIN"
8) Sign off.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 8 Lucas Gass 2022-06-08 22:48:31 UTC
Template and test changes look good, tests all still pass, QA script is happy. 

Welcome aboard Michal!
Comment 9 Michal Urban 2022-06-09 01:45:59 UTC
(In reply to Lucas Gass from comment #8)
> Template and test changes look good, tests all still pass, QA script is
> happy. 
> 
> Welcome aboard Michal!

Thanks Lucas! :)
Comment 10 Tomás Cohen Arazi 2022-06-09 13:13:46 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 11 Lucas Gass 2022-07-12 19:34:57 UTC
Backported to 22.05.x for 22.05.03